 #admin .main {
/* top: 45px!important; */
height: calc(100vh - 50px)!important;
/* overflow-y: scroll!important; */
}

 #admin .selected {
    /* background-color: white; */
    background: linear-gradient( to left, #EEEEEE 96%, #0460a9 1% ) !important;
    font-weight: bold;
}

 #admin .blue {
    color:#2175F4;
}

 #admin .text_ellipsis {
    max-width: 100px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

 #admin tr.e-columnheader {
    background: #FFF 0% 0% no-repeat padding-box;
}

#admin .e-input[disabled] {
    background: #dddddd !important;
}

/*  #admin .e-grid [class^='e-'], .e-grid {
    border: none !important;
} */

 #admin .e-grid .e-toolbar-items {
    background-color: unset;
}

 #admin .e-toolbar {
    background: none !important;
    border-top: unset;
}

 #admin .e-grid .e-toolbar-items .e-toolbar-item.e-search-wrapper .e-search {
    opacity: 1;
    width: 250px;
    border-color: #FFF !important;
    background-color: white;
}
 #admin .chip {
    color: white;
    background-color: #0460a9;
  }

 #admin .fa-border-icon2 {
    border-width: 1px;
    border-style: hidden;
    background-color: rgb(42, 219, 54);   
    padding: 45% 37% 39% 37%; 
    border-radius: 5px;
}

#admin .fa3 {
    color: white;
    font-size: 25px;
}
 #admin .mw-col {
    -webkit-box-flex: 0;
    flex: 0 0 8.333333%;
    max-width: 0.333333%;
}


 #admin .e-listview .e-list-header {

    font-weight: bold;
    border-bottom: none;
    padding: 0 16px 0 0;
    font-size: 1rem;
}

 #admin .container1:hover .image {
    background: rgb(0,0,255, 0.1);
    transition: .5s ease;
  }


#admin .selected_connection{
    box-shadow:0px 12px 22px 1px #333;
}

#admin .list-group label { background: #fff; }
#admin .list-group label:nth-child(odd) { background: #fafafa; }

/* #admin .e-grid .e-rowcell, #admin .e-grid .e-headercell {
    font-size: 12px;
    padding: 22px;
} */

#admin .div-disabled {
    pointer-events: none !important;
    opacity: 0.4 !important;
}

.layer-isActive-icon{
    color: green !important; 
 }

.layer-in-active-icon{
    color: rgb(218, 218, 45) !important; 
 }

 #admin .e-grid .e-columnheader .e-headercell{
    background-color: unset !important; 
 }

 #admin .row{
    background-color: #eee;
 }

 #admin .nav-tabs {
    border-bottom: 0px;
}

#admin .btn-primary {
    background-color: #0460a9;
    border-color: #0460a9;
    font-size: 13px;
    color: #FFFFFF;
    letter-spacing: 0;
    text-align: center;
    line-height: 15px;
    padding: 5px 15px;
    border-radius: 0;
    height: 32px;
    float: right;
}

#admin .e-toolbar .e-toolbar-items .e-toolbar-left .e-toolbar-item:first-child {
    padding-left: 0px;
    margin-left: 0px;
}

#admin .e-toolbar .e-toolbar-items:first-child > .e-toolbar-right .e-toolbar-item:last-child {
    margin-right: 0px;
    padding-right: 0px;
}

/* #admin .e-grid tr {
    height: 60px;
}

#admin .e-input-group:not(.e-float-icon-left):not(.e-float-input)::after{
    background: none
  }
  
  #admin  .e-input-group:not(.e-float-icon-left):not(.e-float-input)::before{
    background: none;
  } */
  
  
  /* #admin .e-grid .e-pager {
    border-bottom: transparent;
    border-left: transparent;
    border-right: transparent;
  
    background-color: #efefef;
    border-top: transparent;
  }
  
  #admin .e-pager .e-pagercontainer {
    background-color: transparent;
    border-color: #e0e0e0;
    margin-left:595px ;
  } */
  
  /* .e-input-group:not(.e-float-icon-left), .e-input-group.e-control-wrapper:not(.e-float-icon-left) {
    border-bottom: 1px solid;
    margin-top: inherit;
  } */
 
/*   
  #admin .e-pager .e-numericitem {
    background: transparent;
    border-right-color: #e0e0e0;
    
  } */
  /* #admin .e-pager div.e-parentmsgbar {
   display: none;
  }
  
  #admin .e-pager .e-pagerdropdown {
    display: inline-block;
    height: 32px;
    margin-left: 12px;
    margin-right: 0;
    overflow: hidden;
    vertical-align: middle;
    width: 90px;
    border-style: groove;
    background-color: white;
    margin-bottom: 20px;
  } */
  
  /* #admin .e-pager .e-pagerconstant {
  
    margin-top: 7px;
  }
  
  #admin .e-pager .e-pagesizes {
  float: right;}

  #admin .e-grid .e-toolbar-items .e-toolbar-item.e-search-wrapper .e-search .e-search-icon {
    min-width: 18px;
    margin-right: 10px;
} */
/* 
#admin .e-pager .e-spacing, .e-pager .e-numericitem:hover .e-currentitem .e-link .e-active{
    background: white !important;
    border-radius: 0px !important;
    color: black !important;
}

#admin .e-pager .e-currentitem, .e-pager .e-currentitem{
    background: #0460a9 !important;
    color: #fff !important;
    opacity: 1;
    border-radius: inherit
  } */
 /* Active toggle*/

 .switchToggle input[type=checkbox] {
  height: 0; 
  width: 0; 
  visibility: hidden; 
  position: absolute; 
}

.switchToggle label {
  cursor: pointer; 
  text-indent: -9999px; 
  width: 70px; 
  max-width: 70px; 
  /* height: 30px;  */
  height: 25px;
  background: white; 
  display: block; 
  border-radius: 100px; 
  position: relative;
}

input:checked + .toggle-bar::after {
  background: #0460a9;
}

.switchToggle label:after {
  content: ''; 
  position: absolute; 
  top: 1.7px; 
  left: 2px; 
  width: 20px;
  height: 20px;
  background: rgb(221, 221, 221);
  border-radius: 90px; 
  transition: 0.3s; 
}

.switchToggle input:checked + label, 
.switchToggle input:checked + input + label  {
  background: white; 
}

.switchToggle input + label:before, .switchToggle input + input + label:before {
  content: 'No'; 
  position: absolute; 
  top: 3px; 
  left: 35px; 
  width: 26px; 
  height: 26px; 
  border-radius: 90px; 
  transition: 0.3s; 
  text-indent: 0; 
  color: gray; 
}

.switchToggle input:checked + label:before, .switchToggle input:checked + input + label:before {
  content: 'Yes'; 
  position: absolute; 
  top: 3px; 
  left: 10px; 
  width: 26px; 
  height: 26px; 
  border-radius: 90px; 
  transition: 0.3s; 
  text-indent: 0; 
  color: darkgray; 
}

.switchToggle input:checked + label:after, .switchToggle input:checked + input + label:after {
  left: calc(100% - 2.5px);
  top: 1.7px;
  transform: translateX(-100%); 
}

.switchToggle label:active:after {
  width: 60px;
}

.toggle-switchArea { 
  margin: 10px 0 10px 0; 
}

.toggle-bar {
  border: 1px solid darkgray;
}
